Trump Media & Technology Group Corp.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1753056000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://ir.tmtgcorp.com/news-events/press-releases/",
    "holding_balance": 18430.0,
    "holding_net_change": 18430.0,
    "transaction_value_usd": 2000000000.0,
    "average_entry_value_usd": 108518.72,
    "transaction_value_calculated": false
  },
  {
    "date": 1759190400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://s3.amazonaws.com/sec.irpass.cc/2660/0001140361-25-040977.htm",
    "holding_balance": 11542.16,
    "holding_net_change": -6887.84,
    "transaction_value_usd": 631917400.0,
    "average_entry_value_usd": -91743.91,
    "transaction_value_calculated": false
  },
  {
    "date": 1771977600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1849635/000114036126007174/ef20062365_10k.htm",
    "holding_balance": 9542.16,
    "holding_net_change": -2000.0,
    "transaction_value_usd": 135992560.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    9542.16
  ],
  [
    1779062400000,
    9542.16
  ],
  [
    1779148800000,
    9542.16
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    738848112.8975999
  ],
  [
    1779062400000,
    734214535.4232
  ],
  [
    1779148800000,
    732456297.0215999
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 8.625,
    "date": "2026-05-15",
    "high": 8.82,
    "open": 8.79,
    "close": 8.67,
    "volume": 2827800
  },
  {
    "low": 8.135,
    "date": "2026-05-18",
    "high": 8.656,
    "open": 8.64,
    "close": 8.27,
    "volume": 4468700
  },
  {
    "low": 8.0,
    "date": "2026-05-19",
    "high": 8.25,
    "open": 8.18,
    "close": 8.0,
    "volume": 3123996
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -21.57,
  "six_month_return": -27.73,
  "three_month_return": -23.66
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/trump-media-technology-group-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 32.5,
  "total_btc_percentage": 0.045,
  "share_price_change_state": "down"
}